
D4Science Infrastructure - VM Creation #8486

Provide a new SmartGears node for resource-checker plugin

May 11, 2017 09:38 AM - Roberto Cirillo

Status: Closed Start date: May 11, 2017

Priority: Normal Due date:  

Assignee: Costantino Perciante % Done: 100%

Target version: UnSprintable   

Infrastructure: Production Applications list and

version:

smart-executor 1.5.0-4.4.0-144722

resource-checker-se-plugin

1.0.0-4.4.0-147153

RAM: 2 Applications context

path:

"smart-executor" "whn-manager"

CPU: 1 External storage data

disk:

 

DiskSpace: 4 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: 2.1.2-4.4.0-146408 PostgreSQL

database:

No

Application

Instructions:

resource-checker-se-plugin as

smart-executor plugin needs to run on

the machine

Number of VMs:  

Smartgears scopes: /d4science.research-infrastructures.eu   

Description

It's needed to provide a new VM with the same requirement reported here #8197 for production environment

Related issues:

Blocks D4Science Infrastructure - Task #8103: a nagios script must be schedul... Closed Apr 12, 2017

Blocked by D4Science Infrastructure - Task #8527: Edit ServiceEndpoint (VREMa... Closed May 12, 2017

History

#1 - May 11, 2017 07:44 PM - Andrea Dell'Amico

- Status changed from New to In Progress

resource-checker.d4science.org 146.48.123.124

#2 - May 11, 2017 07:47 PM - Andrea Dell'Amico

- Blocks Task #8103: a nagios script must be scheduled every 24 h to add a list of resources to all scopes added

#3 - May 11, 2017 08:15 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

The VM has been configured. I see exceptions in the ghn.log file but I don't know what's wrong:

20:09:31.476 [pool-8-thread-2] ERROR SmartExecutorInitializator: Unable to instantiate SmartExecutorPersistenc

eConnector for scope /d4science.research-infrastructures.eu/SmartArea. The Service will be aborted

java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

        at java.util.ArrayList.rangeCheck(ArrayList.java:635) ~[na:1.7.0_80]

        at java.util.ArrayList.get(ArrayList.java:411) ~[na:1.7.0_80]

        at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceConfiguration.getServiceEndpoi

nt(SmartExecutorPersistenceConfiguration.java:133) ~[SmartExecutorPersistenceConfiguration.class:na]

        at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceConfiguration.<init>(SmartExec

utorPersistenceConfiguration.java:55) ~[SmartExecutorPersistenceConfiguration.class:na]

        at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceFactory.getPersistenceConnecto

r(SmartExecutorPersistenceFactory.java:55) ~[SmartExecutorPersistenceFactory.class:na]
        at org.gcube.vremanagement.executor.SmartExecutorInitializator.onInit(SmartExecutorInitializator.java:

305) ~[SmartExecutorInitializator.class:na]

        at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationMana

gerObserver.java:157) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

        at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationMana

gerObserver.java:138) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

        at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

        at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]

20:09:31.479 [pool-8-thread-2] WARN  RegisterApplicationManagerObserver: error on onInit of org.gcube.vremanag

ement.executor.SmartExecutorInitializator on token c9c304bb-9d85-4577-9acc-c983c9343c64-843339462

java.lang.RuntimeException: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

        at org.gcube.vremanagement.executor.SmartExecutorInitializator.onInit(SmartExecutorInitializator.java:

309) ~[SmartExecutorInitializator.class:na]

        at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationMana

gerObserver.java:157) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

        at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationMana

gerObserver.java:138) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

        at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

        at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]

Caused by: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

        at java.util.ArrayList.rangeCheck(ArrayList.java:635) ~[na:1.7.0_80]

        at java.util.ArrayList.get(ArrayList.java:411) ~[na:1.7.0_80]

 @lucio.lelii@isti.cnr.it @roberto.cirillo@isti.cnr.it any hints?

#4 - May 12, 2017 10:26 AM - Roberto Cirillo

- Status changed from Feedback to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

I see several scopes not needed in the container.xml. First of all I'm going to change the scopes.

#5 - May 12, 2017 11:17 AM - Roberto Cirillo

after the restart I see the following exception:

11:02:59.691 [pool-8-thread-1] ERROR SmartExecutorInitializator: Unable to instantiate SmartExecutorPersistenc

eConnector for scope /d4science.research-infrastructures.eu. The Service will be aborted

java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

    at java.util.ArrayList.rangeCheck(ArrayList.java:635) ~[na:1.7.0_80]

    at java.util.ArrayList.get(ArrayList.java:411) ~[na:1.7.0_80]

    at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceConfiguration.getServiceEndpoint(S

martExecutorPersistenceConfiguration.java:133) ~[SmartExecutorPersistenceConfiguration.class:na]

    at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceConfiguration.<init>(SmartExecutor

PersistenceConfiguration.java:55) ~[SmartExecutorPersistenceConfiguration.class:na]

    at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceFactory.getPersistenceConnector(Sm

artExecutorPersistenceFactory.java:55) ~[SmartExecutorPersistenceFactory.class:na]

    at org.gcube.vremanagement.executor.SmartExecutorInitializator.onInit(SmartExecutorInitializator.java:305)

 ~[SmartExecutorInitializator.class:na]

    at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationManagerO

bserver.java:157) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

    at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationManagerO

bserver.java:138) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

    at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]

11:02:59.693 [pool-8-thread-1] WARN  RegisterApplicationManagerObserver: error on onInit of org.gcube.vremanag

ement.executor.SmartExecutorInitializator on token 031d1153-bac6-41fd-b6e3-ded6bece9cf0-843339462

java.lang.RuntimeException: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

    at org.gcube.vremanagement.executor.SmartExecutorInitializator.onInit(SmartExecutorInitializator.java:309)

 ~[SmartExecutorInitializator.class:na]

    at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationManagerO

bserver.java:157) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

    at org.gcube.smartgears.RegisterApplicationManagerObserver$InitAppManager.call(RegisterApplicationManagerO

bserver.java:138) [common-smartgears-app-2.0.2-4.4.0-144087.jar:na]

    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

    at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]
Caused by: java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

    at java.util.ArrayList.rangeCheck(ArrayList.java:635) ~[na:1.7.0_80]

    at java.util.ArrayList.get(ArrayList.java:411) ~[na:1.7.0_80]

    at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceConfiguration.getServiceEndpoint(S

martExecutorPersistenceConfiguration.java:133) ~[SmartExecutorPersistenceConfiguration.class:na]

    at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceConfiguration.<init>(SmartExecutor

PersistenceConfiguration.java:55) ~[SmartExecutorPersistenceConfiguration.class:na]

    at org.gcube.vremanagement.executor.persistence.SmartExecutorPersistenceFactory.getPersistenceConnector(Sm

artExecutorPersistenceFactory.java:55) ~[SmartExecutorPersistenceFactory.class:na]

    at org.gcube.vremanagement.executor.SmartExecutorInitializator.onInit(SmartExecutorInitializator.java:305)

 ~[SmartExecutorInitializator.class:na]

    ... 6 common frames omitted

 This exception is due to an old ServiceEndpoint (VREManagement-SmartExecutorPersistenceConfiguration) present on

"/d4science-research-infrastructures.eu" scope. This service endpoint have couchDB as backend while in dev infrastructure we have an OrientDB

backend. If this is the case we need to do the following actions:

upgrade all the SmartExecutor instances in production environment

update the ServiceEndpoint resource on D4science infrastructure

#6 - May 12, 2017 12:28 PM - Roberto Cirillo

- Blocked by Task #8527: Edit ServiceEndpoint (VREManagement-SmartExecutorPersistenceConfiguration) for smartexecutor in production

environment added

#7 - May 12, 2017 12:28 PM - Roberto Cirillo

- Status changed from In Progress to Paused

#8 - May 17, 2017 11:15 AM - Roberto Cirillo

- Status changed from Paused to In Progress

- % Done changed from 0 to 100

#9 - May 17, 2017 11:18 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

@costantino.perciante@isti.cnr.it could you check if the service works properly now, please?

#10 - May 17, 2017 11:19 AM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Costantino Perciante

#11 - May 17, 2017 06:00 PM - Costantino Perciante

- Status changed from Feedback to Closed

it works! It has been scheduled every 2 hours 
